summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* sys-libs/glibc: stable 2.29-r7 for hppa, bug #702484Sergei Trofimovich7 days1-1/+1
| | | | | | Package-Manager: Portage-2.3.84, Repoman-2.3.20 RepoMan-Options: --include-arches="hppa" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* */*: Clean PYTHON_COMPAT of obsolete implsMichał Górny2020-01-055-10/+10
| | | | | Closes: https://github.com/gentoo/gentoo/pull/14246 Signed-off-by: Michał Górny <mgorny@gentoo.org>
* sys-libs/glibc: allow python-3.8Sergei Trofimovich2019-12-282-2/+2
| | | | | | | Reported-by: Perfect Gentleman Closes: https://bugs.gentoo.org/702964 Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: cross-*: pass EPREFIX to --with-headersBenda Xu2019-12-252-4/+4
| | | | | | | | | | | This is a follow up of ea4cbdc9159c0ebbd29d4062bbb314393a8cc32f. Otherwise when building cross toolchain on Gentoo Prefix, configure cannot find the needed linux-headers. Bug: https://bugs.gentoo.org/642604 Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Benda Xu <heroxbd@gentoo.org>
* sys-libs/glibc: arm stable wrt bug #702484Mikle Kolyada2019-12-241-1/+1
| | | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.16 RepoMan-Options: --include-arches="arm" Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* sys-libs/glibc: 2.19: remove pipe2 symbol from libc.so.Benda Xu2019-12-222-0/+17
| | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Benda Xu <heroxbd@gentoo.org>
* sys-libs/glibc: sparc stable wrt bug #702484Agostino Sarubbo2019-12-151-1/+1
| | | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.16 RepoMan-Options: --include-arches="sparc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* sys-libs/glibc: s390 stable wrt bug #702484Agostino Sarubbo2019-12-131-1/+1
| | | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.16 RepoMan-Options: --include-arches="s390" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* sys-libs/glibc: stable 2.29-r7 for ia64, bug #702484Sergei Trofimovich2019-12-121-1/+1
| | | | | | Package-Manager: Portage-2.3.81, Repoman-2.3.20 RepoMan-Options: --include-arches="ia64" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: ppc stable wrt bug #702484Agostino Sarubbo2019-12-121-1/+1
| | | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.16 RepoMan-Options: --include-arches="ppc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* sys-libs/glibc: ppc64 stable wrt bug #702484Agostino Sarubbo2019-12-121-1/+1
| | | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.16 RepoMan-Options: --include-arches="ppc64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* sys-libs/glibc: x86 stable wrt bug #702484Agostino Sarubbo2019-12-121-1/+1
| | | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.16 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* sys-libs/glibc: arm64 stable (bug #702484)Aaron Bauman2019-12-111-1/+1
| | | | | Signed-off-by: Aaron Bauman <bman@gentoo.org> Package-Manager: Portage-2.3.81, Repoman-2.3.20
* */*: [QA] Remove redundant `|| die` guardsDavid Seifert2019-12-115-10/+10
| | | | | | | | | | | | * Since all ebuilds in the tree are EAPI>=4, `|| die` on builtin commands is redundant and dead code. Closes: https://github.com/gentoo/gentoo/pull/13940 Reviewed-by: Ulrich Müller <ulm@gentoo.org> Reviewed-by: Michał Górny <mgorny@gentoo.org> Reviewed-by: Andreas K. Hüttel <dilfridge@gentoo.org> Signed-off-by: David Seifert <soap@gentoo.org>
* sys-libs/glibc: amd64 stable wrt bug #702484Mikle Kolyada2019-12-101-1/+1
| | | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.16 RepoMan-Options: --include-arches="amd64" Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* sys-libs/glibc: drop usr-ldscriptMike Gilbert2019-12-109-9/+9
| | | | | | | This was a false-positive when greping for gen_usr_ldscript. Fixes: 713eee8ef99085e417f4e2f4ba7d8dad9ba8c90d Signed-off-by: Mike Gilbert <floppym@gentoo.org>
* sys-libs/glibc: add explicit 'gd' dependencySergei Trofimovich2019-12-022-0/+2
| | | | | | Closes: https://bugs.gentoo.org/701726 Package-Manager: Portage-2.3.80, Repoman-2.3.19 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: Remove old revsAndreas K. Hüttel2019-11-273-2951/+0
| | | | | Package-Manager: Portage-2.3.80, Repoman-2.3.19 Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>
* sys-libs/glibc: Restore keywords of 2.29-r7Andreas K. Hüttel2019-11-271-1/+1
| | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>
* sys-libs/glibc: Restore keywords of 2.30-r3Andreas K. Hüttel2019-11-271-1/+1
| | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>
* sys-libs/glibc: 2.30 revision bump, new patchset, no keywordsAndreas K. Hüttel2019-11-262-0/+1490
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Test failures are precisely the same as in -r2 FAIL: elf/ifuncmain9picstatic FAIL: elf/ifuncmain9static FAIL: elf/tst-latepthread FAIL: elf/tst-ldconfig-bad-aux-cache FAIL: elf/tst-pldd XPASS: elf/tst-protected1a XPASS: elf/tst-protected1b FAIL: locale/tst-locale-locpath FAIL: malloc/tst-mallocfork2 UNSUPPORTED: misc/tst-pkey UNSUPPORTED: nptl/test-cond-printers UNSUPPORTED: nptl/test-condattr-printers UNSUPPORTED: nptl/test-mutex-printers UNSUPPORTED: nptl/test-mutexattr-printers UNSUPPORTED: nptl/test-rwlock-printers UNSUPPORTED: nptl/test-rwlockattr-printers FAIL: nss/tst-nss-db-endgrent FAIL: nss/tst-nss-db-endpwent FAIL: nss/tst-nss-files-alias-leak FAIL: nss/tst-nss-files-alias-truncated FAIL: nss/tst-nss-files-hosts-long FAIL: nss/tst-nss-test3 FAIL: resolv/tst-resolv-ai_idn FAIL: resolv/tst-resolv-ai_idn-latin1 UNSUPPORTED: time/tst-y2039 Summary of test results: 15 FAIL 5969 PASS 8 UNSUPPORTED 17 XFAIL 2 XPASS Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>
* sys-libs/glibc: New 2.29 patchset / revbumpAndreas K. Hüttel2019-11-252-0/+1479
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Some tests fail, needs still review; no keywords thus. FAIL: elf/tst-latepthread FAIL: elf/tst-pldd XPASS: elf/tst-protected1a XPASS: elf/tst-protected1b UNSUPPORTED: misc/tst-pkey UNSUPPORTED: nptl/test-cond-printers UNSUPPORTED: nptl/test-condattr-printers UNSUPPORTED: nptl/test-mutex-printers UNSUPPORTED: nptl/test-mutexattr-printers UNSUPPORTED: nptl/test-rwlock-printers UNSUPPORTED: nptl/test-rwlockattr-printers FAIL: nss/tst-nss-db-endgrent FAIL: nss/tst-nss-db-endpwent FAIL: nss/tst-nss-test3 FAIL: resolv/tst-resolv-ai_idn FAIL: resolv/tst-resolv-ai_idn-latin1 UNSUPPORTED: time/tst-y2039 Summary of test results: 7 FAIL 5871 PASS 8 UNSUPPORTED 17 XFAIL 2 XPASS Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>
* sys-libs/glibc: drop -c (--force) flag from localedefSergei Trofimovich2019-11-212-2/+2
| | | | | | | | | | | | As found out in https://sourceware.org/PR25195 -c/--force makes 'localedef' to ignore all errors. The change drops -c flag and relies on clean run. Reported-by: Chris Slycord Bug: https://bugs.gentoo.org/697908 Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: mangle bad -march= only for ABI=x86Sergei Trofimovich2019-11-172-6/+4
| | | | | | | | | | | | | | | | | | Normally setup_target_flags() attempts to guard against too conservative (or missing) -march= value by chacking if sync primitives can be compiled. If it can't be compiled glibc assumes -march= value to be too low. Unfortunately, test always runs against 32-bit ABI without checking if current ABI is actually 32-bit. This causes the test mis-fire on USE=-multilib ARCH=amd64 systems. Sweep workaround under ABI=x86 case. Reported-by: Klaus Kusche Closes: https://bugs.gentoo.org/700232 Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: expose errors in sync primitives checksSergei Trofimovich2019-11-162-6/+6
| | | | | | | | | | | In bug #700232 CFLAGS_x86 mis-detects unsupported sync primitives. That triggers accidental -march=* filter-out. This change should expose actual built failure. Bug: https://bugs.gentoo.org/700232 Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: apply 'introduce USE=+crypt' to live ebuildSergei Trofimovich2019-11-161-1/+2
| | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: add RESTRICT="!test? ( test )"Sergei Trofimovich2019-11-106-3/+9
| | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: drop outdated sys-apps/portage blockerSergei Trofimovich2019-11-1011-11/+2
| | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: drop outdated sys-apps/sandboxSergei Trofimovich2019-11-1011-11/+0
| | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: drop outdated sys-kernel/ps3-sources blockerSergei Trofimovich2019-11-1011-11/+1
| | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: drop outdated sys-libs/nss-dbSergei Trofimovich2019-11-1011-14/+3
| | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: drop oldSergei Trofimovich2019-11-082-1485/+0
| | | | | Package-Manager: Portage-2.3.78, Repoman-2.3.17 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: unleash glibc-2.30 into ~archSergei Trofimovich2019-11-081-2/+1
| | | | | | | | For commit build failures see: https://wiki.gentoo.org/wiki/Project:Toolchain#glibc-2.30 Package-Manager: Portage-2.3.78, Repoman-2.3.17 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: introduce USE=+cryptSergei Trofimovich2019-11-062-1/+3
| | | | | | | | | | | | | Today libcrypt.so.1 is provided by glibc. Eventually glibc will stop providing it in favoud of external providers like libcrypt. USE=crypt exposes a knob to disable libcrypt.so.1 installation. Use at your own risk. There currently is no replacement yet in Gentoo. Bug: https://bugs.gentoo.org/699422 Package-Manager: Portage-2.3.78, Repoman-2.3.17 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: fix riscv build against linux-headers-5.3Sergei Trofimovich2019-10-223-2/+4
| | | | | Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: add ~riscv for 2.30 and aboveSergei Trofimovich2019-10-192-2/+2
| | | | | Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: drop oldSergei Trofimovich2019-10-193-2962/+0
| | | | | Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: update 2.29 branch to EAPI=7Sergei Trofimovich2019-10-191-0/+1479
| | | | | | | Main goal is to backport selective stripping. Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: update 2.30 branch to EAPI=7Sergei Trofimovich2019-10-191-0/+1491
| | | | | | | Main goal is to backport selective stripping. Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: avoid RESTRICT=strip and use 'dostrip -x /'Sergei Trofimovich2019-10-181-2/+1
| | | | | | | | | | | | | | RESTRICT=strip + 'dostrip /' does not have a desired effect of enabling (possibly selective) stripping in portage: https://bugs.gentoo.org/697960 Workaround it by using 'if foo && dostrip -x /' instead of RESTRICT=strip + 'if foo || dostrip /'. Reported-by: Arfrever Frehtes Taifersar Arahesis Fixed-by: Arfrever Frehtes Taifersar Arahesis Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: restore strip quirk for 'libpthread.so.0'Sergei Trofimovich2019-10-1812-36/+270
| | | | | | | | | | | | | | | | | | | | | This change effectively reverts commit e14229b10b513a ("sys-libs/glibc: drop prepallstrip, bug #587296") gdb still relies on libpthread being unstripped. See https://bugs.gentoo.org/697910 for details and reproducer. Also see ebuild note that explains indirect mechanics of how glibc relies on gdb's ability to traverse local symbols. In EAPI=7 ebuilds (glibc-9999) we do selective stripping. Reported-by: Minux Closes: https://bugs.gentoo.org/697910 Bug: https://bugs.gentoo.org/587296 Bug: https://bugs.gentoo.org/46186 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org> Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: disable stripping for cross-glibcSergei Trofimovich2019-10-1412-0/+36
| | | | | | | | | | | | | | | | | | commit e14229b10b513a164f8379ff14cc8c644c071f27 dropped special stripping and relied on standard ${CHOST}-strip. Unfortunately one special case wa missing: cross-*/glibc ebuilds use ${CTARGET} as a target and are installed into the host. That causes ${CHOST}-strip to be called on ${CTARGET} binaries. If multitarget is not enabled strip either breaks such bianries or makes them untouched. Disable tripping until we migrated off off cross-*/glibc ebuilds. Reported-by: Johannes Geiss Closes: https://bugs.gentoo.org/697428 Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: allow glibc dongrade on I_ALLOW_TO_BREAK_MY_SYSTEMSergei Trofimovich2019-10-124-4/+4
| | | | | Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: restore used glibc-2.19-ia64-gcc-4.8-reloc-hack.patchSergei Trofimovich2019-10-121-0/+32
| | | | | | glibc-2.19-ia64-gcc-4.8-reloc-hack.patch is used at least by glibc-2.24 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: drop prepallstrip, bug #587296Sergei Trofimovich2019-09-2512-166/+3
| | | | | | | | | | | | | Stop using internal portage's 'prepallstrip' helper. This effectively reverts https://bugs.gentoo.org/46186. Modern gdb can inspect threads without debugging symbols in libpthread/libthread_db. Reported-by: Michał Górny Closes: https://bugs.gentoo.org/587296 Bug: https://bugs.gentoo.org/46186 Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc-2.29-r2: sparc stable, bug 685818Matt Turner2019-09-011-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* sys-libs/glibc: revert CPPFLAGS fix for cross-compilersSergei Trofimovich2019-09-014-2/+2959
| | | | | | | | | | | | | | | In https://sourceware.org/PR24577 we discovered that riscv can't really install libc headers as it needs a cross-compiler. This revert reintroduces riscv bootstrap on crossdev. To workaround it use the -without-headers option until it's a crossdev's default. Bug: https://sourceware.org/PR24577 Bug: https://bugs.gentoo.org/692052 Bug: https://bugs.gentoo.org/686248 Package-Manager: Portage-2.3.74, Repoman-2.3.17 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: stable 2.29-r2 for hppa, bug #685818Sergei Trofimovich2019-08-281-1/+1
| | | | | | Package-Manager: Portage-2.3.73, Repoman-2.3.17 RepoMan-Options: --include-arches="hppa" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* sys-libs/glibc: remove version_is_at_least.Benda Xu2019-08-271-48/+4
| | | | | | | As of 2019 Prefix, the conditions are always true. Package-Manager: Portage-2.3.73, Repoman-2.3.17 Signed-off-by: Benda Xu <heroxbd@gentoo.org>
* sys-libs/glibc: add kernel 2.6.16 compatibility patch.Benda Xu2019-08-254-98/+89
| | | | | | | | | | | | This is only for Prefix on deprecated systems. On thoses systems, vulnerable kernels are usually used. Hardened no longer makes sense, remove. Remove versionator, as it is not used. Package-Manager: Portage-2.3.73, Repoman-2.3.17 Signed-off-by: Benda Xu <heroxbd@gentoo.org>